号外号外: 原[图享网]更名为 码友网(codedefault.com) 啦,感谢大家一路上的陪伴与支持。代码的世界里,码友网与大家一起同行!

国内前端框架Amaze UI 又发布新版啦-- v2.5.0

技术资讯 作者: Rector 1702阅读 0评论 0收藏 收藏本文

郑重申明:本文未经许可,禁止任何形式转载

amaze-ui-logo 国内前端框架Amaze UI于北京时间2015年12月1日又发布新的版本了,版本号为:v2.5.0。 Amaze UI v2.5.0 包括以下更新:
  • 打包的 CSS 文件中不再包含内部使用的 one 相关样式;
  • 升级 Font Awesome 至 4.5.0
  • 使用 Webpack 替换 Browserify,完善 UMD 输出;
  • 部分 JS 插件细节完善、新增 API。
详细的更新如下: CSS:
  • 升级 Font Awesome 至 4.5.0。
JS:
  • Validator 支持 selected 验证。
  • Datepicker onRender 增加视图参数,以处理不同的日历视图渲染;
  • Datepicker onRender 禁用日期时候,年份视图当前年份会被禁用;
  • Datepicker 与 Validator 结合使用时没有触发验证问题;
  • Modal 新增 dimmer 选项,允许用户关闭 dimmer;
  • Validator 新增 destroy 方法;
  • ropdown、Selected 新增 enabledisable 方法;
  • Selected 增加超过最多可选值时提示接口;
  • Selected 允许添加一个空的 <option> 实现不自动选择第一项。
构建:
  • 使用 webpack 替换 browserify:更好的 UMD 输出、减少开发依赖。
  • 添加排除文件列表(tools/excluded.js),方便用户自行构建时排除不需要的组件
  • CSS 构建时不再包含内部的使用的 one 系列样式。

阅读了该文章的人还浏览了...

本文永久链接码友网 » 国内前端框架Amaze UI 又发布新版啦-- v2.5.0

发布于: 2015-12-02 16:38:31
分享扩散:

文章评论

获取验证码